For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device config variable

get

Device config variable Resource Fields

Field

id

device

value

name


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/device_config_variable
GET /v7/device_config_variable HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
post/v7/device_config_variable
POST /v7/device_config_variable HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete/v7/device_config_variable(<ID>)
DELETE /v7/device_config_variable(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
patch/v7/device_config_variable(<ID>)
PATCH /v7/device_config_variable(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?